Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util
Class ColorSpaceCache

    java.lang.Object
      org.apache.fop.util.ColorSpaceCache

public class ColorSpaceCache
extends java.lang.Object

Map with cached ICC based ColorSpace objects.

Constructor Summary
`ColorSpaceCache(javax.xml.transform.URIResolver resolver)` Default constructor

Method Summary
`java.awt.color.ColorSpace` | `get(java.lang.String base, java.lang.String iccProfileSrc)` Create (if needed) and return an ICC ColorSpace instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorSpaceCache

    public ColorSpaceCache(javax.xml.transform.URIResolver resolver)

  Default constructor

Parameters:
  `resolver` - uri resolver

Method Detail

### get

    public java.awt.color.ColorSpace get(java.lang.String base,
                                         java.lang.String iccProfileSrc)

  Create (if needed) and return an ICC ColorSpace instance. The ICC profile source is taken from the src attribute of the color-profile FO element. If the ICC ColorSpace is not yet in the cache a new one is created and stored in the cache. The FOP URI resolver is used to try and locate the ICC file. If that fails null is returned.

  Parameters:
    `base` - a base URI to resolve relative URIs
    `iccProfileSrc` - ICC Profile source to return a ColorSpace for
  Returns:
    ICC ColorSpace object or null if ColorSpace could not be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.